JBoss API: Class FinderMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.metadata
Class FinderMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.ejb.plugins.jaws.metadata.FinderMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class FinderMetaData
extends MetaData
implements XmlLoadable

Version:
  $Revision: 1.3.4.2 $
Author:
  Sebastien Alborini, danch
See Also:

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`FinderMetaData()` default constructor
`FinderMetaData(java.lang.String name)` constructor used to provide non-defined finders (findAll, BMP style finders) with their metadata.

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getOrder()`
`java.lang.String` | `getQuery()`
`boolean` | `hasReadAhead()`
`void` | `importXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinderMetaData

    public FinderMetaData()

  default constructor

### FinderMetaData

    public FinderMetaData(java.lang.String name)

  constructor used to provide non-defined finders (findAll, BMP style finders) with their metadata.

Method Detail

### getName

    public java.lang.String getName()

### getOrder

    public java.lang.String getOrder()

### getQuery

    public java.lang.String getQuery()

### hasReadAhead

    public boolean hasReadAhead()

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.